Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jdbc.object
Class UpdatableSqlQuery.RowMapperImpl

    java.lang.Object
      org.springframework.jdbc.object.UpdatableSqlQuery.RowMapperImpl

All Implemented Interfaces:
  RowMapper<T>

Enclosing class:
  UpdatableSqlQuery<T>

    protected class UpdatableSqlQuery.RowMapperImpl

extends java.lang.Object
implements RowMapper<T>

Implementation of RowMapper that calls the enclosing class's `updateRow()` method for each row.

Constructor Summary
`UpdatableSqlQuery.RowMapperImpl(java.util.Map context)`

Method Summary
`T` | `mapRow(java.sql.ResultSet rs, int rowNum)` Implementations must implement this method to map each row of data in the ResultSet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdatableSqlQuery.RowMapperImpl

    public UpdatableSqlQuery.RowMapperImpl(java.util.Map context)

Method Detail

### mapRow

    public T mapRow(java.sql.ResultSet rs,
                    int rowNum)
             throws java.sql.SQLException

  Description copied from interface: `RowMapper`
  Implementations must implement this method to map each row of data in the ResultSet. This method should not call `next()` on the ResultSet; it is only supposed to map values of the current row.

  Specified by:
    `mapRow` in interface `RowMapper<T>`
  Parameters:
    `rs` - the ResultSet to map (pre-initialized for the current row)
    `rowNum` - the number of the current row
  Returns:
    the result object for the current row
  Throws:
    `java.sql.SQLException` - if a SQLException is encountered getting column values (that is, there's no need to catch SQLException)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD